<!DOCTYPE html>
<html>
    <head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width">
	<title>Site title</title>
	<meta name="description" content="Site Description">
	<link rel="stylesheet" href="./styles/index.css"/>
    </head>

    <body>
	<rs-storage
	    hidden=""
		    debug="true"
		    access-claim-directory="note4000"
		    access-claim-rights="rw"
		    caching-enable-directory="/note4000/"
		    api-key-dropbrox="ibl2lga90i1ubgp"
		    api-key-googledrive="77133566319-d76dbmdt9jle773ekplr2k1lrehibt1l.apps.googleusercontent.com"
		    listen-connected="true"
		    listen-disconnected="true"
		    listen-network-online="true"
		    listen-network-offline="true">
	</rs-storage>
	<rs-widget debug></rs-widget>
	<rs-widget-status debug></rs-widget-status>
	<notification-system position="bottom-right"></notification-system>

	
	<script type="module">
	 import {RsStorage, RsWidget, RsWidgetStatus} from './js/index.js'

	 // https://remotestoragejs.readthedocs.io/en/latest/data-modules/defining-a-module.html
	 const notesModule = {
	     name: 'note4000',
	     builder: function(privateClient, publicClient) {
		 return {
		     exports: {}
		 }
	     }
	 }

	 class NotesStorage extends RsStorage {
	     storageModule = notesModule
	 }

	 /* define elements */
	 customElements.define('rs-storage', NotesStorage)
	 customElements.define('rs-widget', RsWidget)
	 customElements.define('rs-widget-status', RsWidgetStatus)
	</script>
    </body>
</html>
